Bug 497914 - Ant fails to build files with non-standard characters
Ant fails to build files with non-standard characters
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ant (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Permaine Cheung
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-27 16:29 EDT by Quanah Gibson-Mount
Modified: 2009-12-18 04:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:22:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Quanah Gibson-Mount 2009-04-27 16:29:10 EDT
Description of problem:
We build our Zimbra product on multiple platforms, such as RHEL4, RHEL5, SLES10, Debian4.0, Ubuntu8, etc.  We most recently supported Fedora 7, and are now looking at adding Fedora 10 support.  However, when building our product on Fedora 10, it fails, where it never fails on any of the other platforms we build on.  For whatever reason, ant cannot recognize foreign character sets on Fedora 10, where this works just fine everywhere else.

The generated error is:

/data/builds01/F10/main/20090427125701_FOSS/ZimbraWebClient/build.xml:214: Problem creating war: /data/builds01/F10/main/20090427125701_FOSS/ZimbraWebClient/WebRoot/help/ja/standard/ss_btn_a????o??AE??gE??sE??bE??N.gif (No such file or directory)


However, the actual file name is:

ss_btn_aÌ÷oÌAEÌgEÌsEÌbEÌN.gif

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Download Zimbra source
2. Build it
3.
  
Actual results:
Fails


Expected results:
Succeeds

Additional info:
Comment 1 Quanah Gibson-Mount 2009-06-11 14:33:38 EDT
I tracked this down to changes in how sshd is configured between Fedora 7 and Fedora 10.  With Fedora 7, the LANG setting from an ssh session was set, with Fedora 10 it is *not* set, so there is no LANG at all, which is why it was having problems with the file.  I changed the sshd_config to allow setting user variables and that fixed it.  I think the no default LANG setting is a bug on Fedora 10's part.
Comment 2 Bug Zapper 2009-11-18 06:52:14 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 04:22:25 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.